net.sf.jasperreports.types.date

## Class FixedDate

- java.lang.Object
- - net.sf.jasperreports.types.date.AbstractDateRange
  - - net.sf.jasperreports.types.date.FixedDate

- All Implemented Interfaces:
    java.io.Serializable, DateRange
  Direct Known Subclasses:
    FixedTimestamp

      public class FixedDate
      extends AbstractDateRange

  Implementation of `DateRange` for fixed, non relative date.

  Version:
    $Id: FixedDate.java 5880 2013-01-07 20:40:06Z teodord $
  Author:
    Sergey Prilukin
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DATE_PATTERN`

    - ### Fields inherited from class net.sf.jasperreports.types.date.AbstractDateRange

      `expression, timeZone`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedDate(java.util.Date date)`
    `FixedDate(java.lang.String expression)`
    `FixedDate(java.lang.String expression, java.util.TimeZone timeZone, java.lang.String datePattern)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getDefaultPattern()`
    `java.util.Date` | `getEnd()`
    `java.util.Date` | `getStart()`
    `protected void` | `validateExpression(java.lang.String expression)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DATE_PATTERN

          public static final java.lang.String DATE_PATTERN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FixedDate

          public FixedDate(java.lang.String expression)

    - #### FixedDate

          public FixedDate(java.lang.String expression,
                   java.util.TimeZone timeZone,
                   java.lang.String datePattern)

    - #### FixedDate

          public FixedDate(java.util.Date date)

  - ### Method Detail

    - #### validateExpression

          protected void validateExpression(java.lang.String expression)
                                     throws InvalidDateRangeExpressionException

      Overrides:
        `validateExpression` in class `AbstractDateRange`
      Throws:
        `InvalidDateRangeExpressionException`

    - #### getStart

          public java.util.Date getStart()

    - #### getEnd

          public java.util.Date getEnd()

    - #### getDefaultPattern

          protected java.lang.String getDefaultPattern()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com